net.corda.node.services.persistence

## Class NodeAttachmentService.OnDiskHashMismatch

- Enclosing class:
    NodeAttachmentService

      public static class NodeAttachmentService.OnDiskHashMismatch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OnDiskHashMismatch(java.nio.file.Path file, SecureHash actual)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecureHash` | `getActual()`
    `java.nio.file.Path` | `getFile()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### OnDiskHashMismatch

          public OnDiskHashMismatch(java.nio.file.Path file,
                                    SecureHash actual)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getFile

          public java.nio.file.Path getFile()

    - #### getActual

          public SecureHash getActual()